Skip to main content
Resource Center/Hardware/Backup Storage Operations/ImageStore Backup Storage Operations
PUTImageStore Backup Storage OperationsSince 1.6SynchronousAuth Required

UpdateImageStoreBackupStorage

UpdateImageStoreBackupStorage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The ImageStore backup storage UUID.

Body Fields

  • updateimagestorebackupstorageObjectRequired

    updateimagestorebackupstorage request body object.

    • usernameString

      Optional. The SSH username of the ImageStore backup storage. This parameter is used to deploy Ansible.

    • passwordString

      Optional. The SSH password of the ImageStore backup storage.

    • hostnameString

      Optional. The hostname of the ImageStore backup storage.

    • sshPortInteger

      Optional. The SSH port of the ImageStore backup storage.

    • nameString

      Optional. The new name of the ImageStore backup storage.

    • descriptionString

      Optional. The detailed description of the ImageStore backup storage.

    • systemTagsList

      Optional. The system tags.

    • userTagsList

      Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryBackupStorageInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • urlStringRequired

      地址。

    • descriptionStringRequired

      The detailed description of the resource.

    • totalCapacityLongRequired

      总容量。

    • availableCapacityLongRequired

      可用容量。

    • typeStringRequired

      类型。

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedZoneUuidsListRequired

      附加区域UUID。

Endpoint

PUT/zstack/v1/backup-storage/image-store/{uuid}/actions

/zstack/v1/backup-storage/image-store/{uuid}/actions

Operation ID

UpdateImageStoreBackupStorage

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/backup-storage/image-store/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateimagestorebackupstorage":{"username":"<username>","password":"<password>","hostname":"<hostname>","sshPort":1,"name":"<name>","description":"<description>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}}'

Response Example

200
{ "inventory": { "name": "New Name", "description": "Public Backup Storage", "totalCapacity": 1.073741824E9, "availableCapacity": 9.68884224E8, "type": "Ceph", "state": "Enabled", "status": "Connected", "createDate": "Jun 7, 2017 9:20:12 PM", "lastOpDate": "Jun 7, 2017 9:20:12 PM", "attachedZoneUuids": [ "7c99892d8d5542faae4d1dd7d17be252" ] } }

Change History

This API has no change history records yet.

View all change history